﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Check_UserName_Angular_Razor_Core.Models;

namespace Check_UserName_Angular_Razor_Core.Pages
{
    public class IndexModel : PageModel
    {
        private DBCtx Context { get; }
        public IndexModel(DBCtx _context)
        {
            this.Context = _context;
        }

        public void OnGet()
        {
        }

        [ValidateAntiForgeryToken]
        public JsonResult OnPostGetTime([FromBody] User user)
        {
            bool isValid = !this.Context.Users.ToList().Exists(p => p.UserName.Equals(user.UserName, StringComparison.CurrentCultureIgnoreCase));
            return new JsonResult(isValid);
        }
    }
}